
use strict;
use warnings;

use 5.008005;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Tools for managing Locale::TextDomain language catalogs",
  "AUTHOR" => "David E. Wheeler <david\@justatheory.com>",
  "BUILD_REQUIRES" => {
    "Module::Build" => "0.35"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30",
    "Module::Build" => "0.35"
  },
  "DISTNAME" => "Dist-Zilla-LocaleTextDomain",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Dist::Zilla::LocaleTextDomain",
  "PREREQ_PM" => {
    "Dist::Zilla::App" => 0,
    "Dist::Zilla::File::FromCode" => 0,
    "Dist::Zilla::Role::FileGatherer" => 0,
    "Email::Address" => 0,
    "Encode" => 0,
    "File::Basename" => 0,
    "File::Copy" => 0,
    "File::Find::Rule" => 0,
    "File::Path" => "2.07",
    "File::Temp" => 0,
    "IPC::Cmd" => 0,
    "IPC::Run3" => 0,
    "Locale::Country" => 0,
    "Locale::Language" => 0,
    "Moose" => 0,
    "Moose::Role" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "MooseX::Types::Path::Class" => 0,
    "Path::Class" => 0,
    "namespace::autoclean" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "App::Cmd::Tester::CaptureExternal" => 0,
    "Dist::Zilla::App::Tester" => 0,
    "Test::DZil" => 0,
    "Test::File" => 0,
    "Test::File::Contents" => 0,
    "Test::More" => "0.90"
  },
  "VERSION" => "0.87",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "App::Cmd::Tester::CaptureExternal" => 0,
  "Dist::Zilla::App" => 0,
  "Dist::Zilla::App::Tester" => 0,
  "Dist::Zilla::File::FromCode" => 0,
  "Dist::Zilla::Role::FileGatherer" => 0,
  "Email::Address" => 0,
  "Encode" => 0,
  "File::Basename" => 0,
  "File::Copy" => 0,
  "File::Find::Rule" => 0,
  "File::Path" => "2.07",
  "File::Temp" => 0,
  "IPC::Cmd" => 0,
  "IPC::Run3" => 0,
  "Locale::Country" => 0,
  "Locale::Language" => 0,
  "Module::Build" => "0.35",
  "Moose" => 0,
  "Moose::Role" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "MooseX::Types::Path::Class" => 0,
  "Path::Class" => 0,
  "Test::DZil" => 0,
  "Test::File" => 0,
  "Test::File::Contents" => 0,
  "Test::More" => "0.90",
  "namespace::autoclean" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



